# KSimpleProcess Class Reference

Very simple class that allows one to run a command and get the standard output back as a string value. More...

`#include <ksimpleprocess.h>`

List of all members.

## Public Slots

void | slotProcessExited ()
void | slotReceivedStdout ()
void | slotReceivedStderr ()

## Static Public Member Functions

QString | exec (const QString &args, bool addStdErr=false)

## Friends

class | Im_lonely

## Detailed Description

Very simple class that allows one to run a command and get the standard output back as a string value.

Author:
  Ian Reinhart Geiser, geiseri@kde.org

## Member Function Documentation

QString KSimpleProcess::exec | ( | const QString & | args,
|  | bool | addStdErr = false
| ) | `[static]`

Executes a string as if it where at the current shell.

This will block until execution is finished. Once its finished the standard output will be returned. if the addStdErr is true, the standard error will be combined with the standard in value. Example:

     QString myProc = KSimpleProcess::exec( "ps -uh" );
     kdDebug() << "Running Processes\n" << myProc << endl;
         *

void KSimpleProcess::slotProcessExited | ( |  | ) | `[slot]`

void KSimpleProcess::slotReceivedStderr | ( |  | ) | `[slot]`

void KSimpleProcess::slotReceivedStdout | ( |  | ) | `[slot]`

## Friends And Related Function Documentation

friend class Im_lonely`[friend]`

The documentation for this class was generated from the following file:

- ksimpleprocess.h